summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2015-08-29 18:46:14 -0400
committerMike Frysinger <vapier@gentoo.org>2015-08-29 18:46:21 -0400
commit5bd3e5acff5ad019ef5f6443eeb7df718b30e9c6 (patch)
treebe03851faf41d31dfa3728b6ac3e29c1f8d97a53 /eclass/toolchain.eclass
parentsys-libs/glibc: upstream fix for getmntent corruption #558946 (diff)
downloadgentoo-5bd3e5acff5ad019ef5f6443eeb7df718b30e9c6.tar.gz
gentoo-5bd3e5acff5ad019ef5f6443eeb7df718b30e9c6.tar.bz2
gentoo-5bd3e5acff5ad019ef5f6443eeb7df718b30e9c6.zip
toolchain.eclass: add USE=ssp for gcc-6 to control default stack-protector-strong behavior
Diffstat (limited to 'eclass/toolchain.eclass')
-rw-r--r--eclass/toolchain.eclass8
1 files changed, 6 insertions, 2 deletions
diff --git a/eclass/toolchain.eclass b/eclass/toolchain.eclass
index ce21d9aada8..d93f51d7025 100644
--- a/eclass/toolchain.eclass
+++ b/eclass/toolchain.eclass
@@ -152,7 +152,7 @@ if [[ ${PN} != "kgcc64" && ${PN} != gcc-* ]] ; then
# the older versions, we don't want to bother supporting it. #448024
tc_version_is_at_least 4.8 && IUSE+=" graphite" IUSE_DEF+=( sanitize )
tc_version_is_at_least 4.9 && IUSE+=" cilk"
- tc_version_is_at_least 6.0 && IUSE+=" pie"
+ tc_version_is_at_least 6.0 && IUSE+=" pie +ssp"
fi
IUSE+=" ${IUSE_DEF[*]/#/+}"
@@ -1193,7 +1193,11 @@ toolchain_src_configure() {
fi
if tc_version_is_at_least 6.0 ; then
- confgcc+=( $(use_enable pie default-pie) )
+ confgcc+=(
+ $(use_enable pie default-pie)
+ # This defaults to -fstack-protector-strong.
+ $(use_enable ssp default-ssp)
+ )
fi
# Disable gcc info regeneration -- it ships with generated info pages